﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace ProjectAboutMarker
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Map_Loaded(object sender, RoutedEventArgs e)
        {
            var features = new List<Feature>
                {new Feature("POLYGON((1 1, 3 3, 3 1, 1 1))"), new Feature("POLYGON((4 4, 7 7, 7 4, 4 4))")};


            var inMem = new InMemoryFeatureLayer();
            features.ForEach(p => inMem.InternalFeatures.Add(p));

            inMem.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            inMem.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;


            var layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add("inMem", inMem);
            Map.Overlays.Add("layOverlay", layerOverlay);

            var markerOverlay = new FeatureSourceMarkerOverlay();
            markerOverlay.Open();
            markerOverlay.FeatureSource = inMem.FeatureSource;
            markerOverlay.FeatureSource.Open();

            markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultPointMarkerStyle.ImageSource = new BitmapImage(new Uri("/AQUA.png",UriKind.RelativeOrAbsolute));
            markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultPointMarkerStyle.Width = 20;
            markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultPointMarkerStyle.Height = 34;
            markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultPointMarkerStyle.ToolTip = "ririroro";
            markerOverlay.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;


            Map.Overlays.Add("markerOverlay", markerOverlay);

            Map.CurrentExtent = ExtentHelper.GetBoundingBoxOfItems(features);
            //Map.CurrentExtent = ExtentHelper.GetBoundingBoxOfItems(markerOverlay.FeatureSource.GetAllFeatures(ReturningColumnsType.AllColumns));
            Map.Refresh();
        }

      
    }
}
